> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Players Themes

> Retrieves a list of all video players within a specific library. Supports pagination, filtering, and sorting to efficiently manage and browse multiple players.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/players
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/players:
    get:
      tags:
        - Player Themes
      summary: List Players Themes
      description: >-
        Retrieves a list of all video players within a specific library.
        Supports pagination, filtering, and sorting to efficiently manage and
        browse multiple players.
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        created_at:
                          type: string
                        updated_at:
                          type: string
                        created_by:
                          type: string
                        updated_by:
                          type: string
                        font_family:
                          type: string
                        custom_html_footer:
                          type: string
                        name:
                          type: string
                        language:
                          type: string
                        custom_html_head:
                          type: string
                        playback_speeds:
                          type: array
                          items:
                            oneOf:
                              - type: number
                              - type: integer
                        appearance:
                          type: object
                          properties:
                            primary_color:
                              type: string
                            caption_font_color:
                              type: string
                            caption_background_color:
                              type: string
                            font_size:
                              type: integer
                            caption_font_size:
                              type: integer
                          required:
                            - primary_color
                            - caption_font_color
                            - caption_background_color
                            - font_size
                            - caption_font_size
                        library_id:
                          type: string
                        organization_id:
                          type: string
                        id:
                          type: string
                        controls:
                          type: object
                          properties:
                            backward:
                              type: boolean
                            forward:
                              type: boolean
                            airplay:
                              type: boolean
                            big_play_button:
                              type: boolean
                            captions:
                              type: boolean
                            chromecast:
                              type: boolean
                            current_time:
                              type: boolean
                            duration:
                              type: boolean
                            fullscreen:
                              type: boolean
                            mute:
                              type: boolean
                            picture_in_picture:
                              type: boolean
                            play_pause:
                              type: boolean
                            progress:
                              type: boolean
                            settings:
                              type: boolean
                            volume:
                              type: boolean
                          required:
                            - backward
                            - forward
                            - airplay
                            - big_play_button
                            - captions
                            - chromecast
                            - current_time
                            - duration
                            - fullscreen
                            - mute
                            - picture_in_picture
                            - play_pause
                            - progress
                            - settings
                            - volume
                        is_beta_enabled:
                          type: boolean
                        is_default:
                          type: boolean
                        enable_resumable_position:
                          type: boolean
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - created_at: '2025-10-19T20:00:43.475427+06:00'
                    updated_at: '2025-10-19T20:04:51.610702+06:00'
                    created_by: ce877d84-c433-46fc-803d-ede73a8375bc
                    updated_by: ce877d84-c433-46fc-803d-ede73a8375bc
                    font_family: Rubik
                    custom_html_footer: <footer>Powered by MyApp</footer>
                    name: Default Player Changes
                    language: en
                    custom_html_head: <!-- Custom analytics script -->
                    playback_speeds:
                      - 0.5
                      - 1
                      - 1.5
                      - 2
                    appearance:
                      primary_color: '#1D9BF0'
                      caption_font_color: '#FFFFFF'
                      caption_background_color: '#000000'
                      font_size: 16
                      caption_font_size: 18
                    library_id: b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9
                    organization_id: 8babf060-e844-49e5-893c-35d0bf2edfc6
                    id: 1aaff3a6-5d28-4be5-a503-eff1f33e7010
                    controls:
                      backward: false
                      forward: false
                      airplay: false
                      big_play_button: false
                      captions: true
                      chromecast: false
                      current_time: true
                      duration: true
                      fullscreen: true
                      mute: true
                      picture_in_picture: true
                      play_pause: true
                      progress: true
                      settings: true
                      volume: true
                    is_beta_enabled: true
                    is_default: false
                    enable_resumable_position: true
                meta:
                  links:
                    self: >-
                      /libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1
                    first: >-
                      /libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1
                    last: >-
                      /libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1
                  pagination:
                    page: 1
                    page_size: 20
                    total: 1
                    total_pages: 1
                message: Players Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````